"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../index");
const randomizer = new index_1.Validator();
describe("Randomizer", () => {
    describe("isEmail", () => {
        it("should return true for valid email", () => __awaiter(void 0, void 0, void 0, function* () {
            const result = yield randomizer.isEmail("test@example.com");
            expect(result).toBe(true);
        }));
        it("should return false for invalid email", () => __awaiter(void 0, void 0, void 0, function* () {
            const result = yield randomizer.isEmail("invalid-email");
            expect(result).toBe(false);
        }));
    });
    describe("isValidPassword", () => {
        it("should return true for valid password", () => __awaiter(void 0, void 0, void 0, function* () {
            const validPassword = "Password1!";
            const result = yield randomizer.isValidPassword(validPassword);
            expect(result).toBe(true);
        }));
        it("should return false for invalid password", () => __awaiter(void 0, void 0, void 0, function* () {
            const invalidPassword = "short";
            const result = yield randomizer.isValidPassword(invalidPassword);
            expect(result).toBe(false);
        }));
    });
    describe("isValidPhoneNumber", () => {
        it("should return true for valid US phone number", () => __awaiter(void 0, void 0, void 0, function* () {
            const result = yield randomizer.isValidPhone("+14155552671");
            expect(result).toBe(true);
        }));
        it("should return false for invalid phone number", () => __awaiter(void 0, void 0, void 0, function* () {
            const result = yield randomizer.isValidPhone("123456");
            expect(result).toBe(false);
        }));
    });
});
